#! make -f
#----------------------------------------------------------------------------
# Project:  NITRO-System - build - demos - g3d - samples - SeparateTex
# File:     Makefile
#
# Copyright 2004 Nintendo.  All rights reserved.
#
# These coded instructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Log: Makefile,v $
# Revision 1.3  10/18/2004 02:21:06  nishida_kenji
# fix comments.
#
# Revision 1.2  09/06/2004 02:22:00  hatamoto_minoru
# Please do not use .rsf file
#
# Revision 1.1  07/23/2004 00:49:58  nakajima_souichi
# (none)
#
# Revision 1.1  07/22/2004 09:56:51  nakajima_souichi
# (none)
#
# Revision 1.2  07/21/2004 03:03:32  hatamoto_minoru
# Changed TARGET_BIN from .bin to .srl.
#
# Revision 1.1  07/13/2004 11:18:32  nishida
# Registered the initial version.
#
# $NoKeywords: $
#----------------------------------------------------------------------------

G3D_DEMOLIB		=	$(NITROSYSTEM_ROOT)/build/demos/g3d/demolib

LINCLUDES       =   $(G3D_DEMOLIB)/include
LLIBRARY_DIRS   =   $(G3D_DEMOLIB)/lib/$(NITRO_BUILDTYPE)
LLIBRARIES      =   libg3d_demo.a

#----------------------------------------------------------------------------


#----------------------------------------------------------------------------

SUBDIRS	= 

SRCS		=	main.c
TARGET_NEF	=	main.nef
TARGET_BIN	=	main.srl

MAKEROM_ROMROOT  = ./
MAKEROM_ROMFILES = data/*.*

#----------------------------------------------------------------------------
include	$(NITROSYSTEM_ROOT)/build/buildtools/commondefs


do-build:mdlData texData $(TARGETS)
mdlData:
	$(NITROSYSTEM_ROOT)/tools/win/bin/g3dcvtr.exe data/src/human_run_t.imd -emdl -o data/human_run_t.nsbmd
texData:
	$(NITROSYSTEM_ROOT)/tools/win/bin/g3dcvtr.exe data/src/human_run_t.imd -etex -o data/human_run_t.nsbtx


include	$(NITROSYSTEM_ROOT)/build/buildtools/modulerules


#===== End of Makefile =====

